Bug 2259056 - rocthrust-devel installs /usr/include/thrust in conflict with cuda-cccl-devel package from fedora-nvidia repo
Summary: rocthrust-devel installs /usr/include/thrust in conflict with cuda-cccl-devel...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rocthrust
Version: 39
Hardware: other
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tom Rix
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-01-18 22:58 UTC by ed leaver
Modified: 2024-01-23 23:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-22 09:45:51 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description ed leaver 2024-01-18 22:58:46 UTC
Description of problem: dnf install rocthrust-devel fails if cuda-cccl-devel package is already installed from fedora-nvidia repository.


Version-Release number of selected component (if applicable):N/A


How reproducible: always


Steps to Reproduce:
1. enable fedora-nvidia repository from negativo17.org
2. dnf install cuda-cccl-devel
3. dnf install rocthrust

Actual results:
Error: Transaction test error:
  file /usr/include/thrust/addressof.h from install of rocthrust-devel-5.7.1 1.fc39.noarch conflicts with file from package cuda-cccl-devel-1:12.3.101-1.fc39.x86_64
etc. etc. etc.

Expected results:
Transaction test success

Additional info:
fedora-nvidia is a repository developed by Simone Caronni: https://fedoraproject.org/wiki/User:Slaanesh
who among other things maintains nvidia driver and cuda libraries for RHEL, CentOS Stream, and Fedora. From my own experience they work very very well. As far as I know, /usr/include/thrust is his only /usr/include entry that lacks a "cuda" prefix. I've notified Slaanesh of this package conflict at https://negativo17.org/nvidia-proprietary-and-open-source-kernel-modules/#comment-55856. One hopes a bit of communication will resolve this issue in a mutually compatible fashion, without reference to Intel's oneAPI organization.

Comment 1 Simone Caronni 2024-01-22 09:45:51 UTC
Thanks for reporting, but my package is not official, so I will change it, moving the headers under /usr/include/cuda.

I don't think there's the need for this bug. I've reopened it here: https://github.com/negativo17/cuda-cccl/issues/2

Feel free to subscribe to it.

Comment 2 ed leaver 2024-01-23 23:06:37 UTC
I've verified this issue was resolved with fedora-nvidia's cuda-cccl-12.3.101-2.fc39.src.rpm package earlier today, which moved it's /usr/include/thrust to /usr/include/cuda/thrust. Looks good, thanks Simone!


Note You need to log in before you can comment on or make changes to this bug.